Get Quote

GEThttps://bank.dattaremit.com/api/quotes/{quote_guid}

Requires a bank-scoped key.

Retrieves a quote.

Required scope: quotes:read

Path Params

quote_guidstringrequired

Identifier for the quote.

Responses

200

quote found

401

Unauthorized - Authentication failed

403

Invalid scope

404

quote not found

Request

curl https://api.dattaremit.com/api/quotes/{quote_guid} \
  -H "Authorization: Bearer sk_test_YOUR_KEY"

Response

quote found

{
  "guid": "string",
  "product_type": "string",
  "bank_guid": "string",
  "customer_guid": "string",
  "symbol": "string",
  "side": "string",
  "receive_amount": 1,
  "deliver_amount": 1,
  "fee": 1,
  "fee_details": [
    {
      "type": "bank",
      "asset": "string",
      "amount": 1
    }
  ],
  "created_at": "2026-07-20T16:27:51.438Z",
  "updated_at": "2026-07-20T16:27:51.438Z",
  "issued_at": "2026-07-20T16:27:51.438Z",
  "expires_at": "2026-07-20T16:27:51.438Z",
  "asset": "string",
  "network_fee": 1,
  "network_fee_asset": "string",
  "network_address": "string",
  "entries": [
    {
      "source_account": {
        "guid": "string",
        "type": "string",
        "bank_guid": "string",
        "customer_guid": "string"
      },
      "destination_account": {
        "guid": "string",
        "type": "string",
        "bank_guid": "string",
        "customer_guid": "string"
      },
      "receive_amount": 1,
      "deliver_amount": 1,
      "fee": 1
    }
  ],
  "trade_guid": "string",
  "transfer_guid": "string"
}